Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class ASTValidationErrorsHelper

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.ASTValidationErrorsHelper

All Implemented Interfaces:
  ASTErrorsHelper

    public class ASTValidationErrorsHelper
    extends java.lang.Object

Method Summary
`protected void` | `addClearErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
`protected void` | `addErrorsField(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
`protected void` | `addGetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
`protected void` | `addHasErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
`protected void` | `addInitErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
`protected void` | `addSetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
`void` | `injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addClearErrorsMethod

    protected void addClearErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

### addErrorsField

    protected void addErrorsField(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

### addGetErrorsMethod

    protected void addGetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

### addHasErrorsMethod

    protected void addHasErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

### addInitErrorsMethod

    protected void addInitErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

### addSetErrorsMethod

    protected void addSetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

### injectErrorsCode

    public void injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)

Groovy Documentation